kylin-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shaofeng SHI (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KYLIN-3033) Provide API compatibility for hbase 2.0 release
Date Wed, 12 Sep 2018 12:46:00 GMT

    [ https://issues.apache.org/jira/browse/KYLIN-3033?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16612072#comment-16612072
] 

Shaofeng SHI commented on KYLIN-3033:
-------------------------------------

We cut off two branches for the new version:
 
 * master-hadoop3.1: Kylin master code base with Hadoop 3.1 and HBase 2.0 API
 * 2.5.x-hadoop3.1: Kylin 2.5.x code base with Hadoop 3.1 and HBase 2.0 API

Tested on HDP 3.0

> Provide API compatibility for hbase 2.0 release
> -----------------------------------------------
>
>                 Key: KYLIN-3033
>                 URL: https://issues.apache.org/jira/browse/KYLIN-3033
>             Project: Kylin
>          Issue Type: Improvement
>          Components: Storage - HBase
>            Reporter: Ted Yu
>            Priority: Major
>              Labels: compatibility
>             Fix For: v2.5.0
>
>
> Compiling against hbase 2.0.0-alpha4 release, I got the following compilation errors:
> https://pastebin.com/yfejnTBE
> We should start preparing migration to hbase 2.0 compatible APIs.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message